ODFPY: odf.odf2xhtml.ODF2XHTMLembedded Class Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
odf.odf2xhtml.ODF2XHTMLembedded Class Reference

The ODF2XHTML parses an ODF file and produces XHTML. More...

Inheritance diagram for odf.odf2xhtml.ODF2XHTMLembedded:
[legend]
Collaboration diagram for odf.odf2xhtml.ODF2XHTMLembedded:
[legend]

## Public Member Functions
def | __init__
Public Member Functions inherited from odf.odf2xhtml.ODF2XHTML
def | __init__
def | set_plain
| Tell the parser to not generate CSS. More...
def | set_embedable
| Tells the converter to only output the parts inside the <body> More...
def | add_style_file
| Add a link to an external style file. More...
def | writeout
def | writedata
def | opentag
| Create an open HTML tag. More...
def | closetag
| Close an open HTML tag. More...
def | emptytag
def | characters
def | startElementNS
def | endElementNS
def | handle_starttag
def | handle_endtag
def | unknown_starttag
def | unknown_endtag
def | s_ignorexml
| Ignore this xml element and all children of it It will automatically stop ignoring. More...
def | s_ignorecont
| Stop processing the text nodes. More...
def | s_processcont
| Start processing the text nodes. More...
def | classname
| Generate a class name from a style name. More...
def | get_anchor
| Create a unique anchor id for a href name. More...
def | purgedata
def | e_dc_title
| Get the title from the meta data and create a HTML <title> More...
def | e_dc_metatag
| Any other meta data is added as a <meta> element. More...
def | e_dc_contentlanguage
| Set the content language. More...
def | e_dc_creator
| Set the content creator. More...
def | s_custom_shape
| A <draw:custom-shape> is made into a in HTML which is then styled. More...
def | e_custom_shape
| End the <draw:frame> More...
def | s_draw_frame
| A <draw:frame> is made into a in HTML which is then styled. More...
def | e_draw_frame
| End the <draw:frame> More...
def | s_draw_fill_image
def | rewritelink
| Intended to be overloaded if you don't store your pictures in a Pictures subfolder. More...
def | s_draw_image
| A <draw:image> becomes an element. More...
def | s_draw_object
| A <draw:object> is embedded object in the document (e.g. More...
def | s_draw_object_ole
| A <draw:object-ole> is embedded OLE object in the document (e.g. More...
def | s_draw_page
| A <draw:page> is a slide in a presentation. More...
def | e_draw_page
def | s_draw_textbox
def | e_draw_textbox
| End the <draw:text-box> More...
def | html_body
def | generate_stylesheet
def | generate_footnotes
def | s_office_automatic_styles
def | s_office_document_content
| First tag in the content.xml file. More...
def | e_office_document_content
| Last tag. More...
def | s_office_master_styles
def | s_office_presentation
| For some odd reason, OpenOffice Impress doesn't define a default-style for the 'paragraph'. More...
def | e_office_presentation
def | s_office_spreadsheet
def | e_office_spreadsheet
def | s_office_styles
def | s_office_text
| OpenDocument text. More...
def | e_office_text
def | s_style_handle_properties
| Copy all attributes to a struct. More...
def | s_style_default_style
| A default style is like a style on an HTML tag. More...
def | e_style_default_style
def | s_style_font_face
| It is possible that the HTML browser doesn't know how to show a particular font. More...
def | s_style_footer
def | e_style_footer
def | s_style_footer_style
def | s_style_header
def | e_style_header
def | s_style_header_style
def | s_style_default_page_layout
| Collect the formatting for the default page layout style. More...
def | s_style_page_layout
| Collect the formatting for the page layout style. More...
def | e_style_page_layout
| End this style. More...
def | s_style_master_page
| Collect the formatting for the page layout style. More...
def | s_style_style
| Collect the formatting for the style. More...
def | e_style_style
| End this style. More...
def | s_table_table
| Start a table. More...
def | e_table_table
| End a table. More...
def | s_table_table_cell
| Start a table cell. More...
def | e_table_table_cell
| End a table cell. More...
def | s_table_table_column
| Start a table column. More...
def | s_table_table_row
| Start a table row. More...
def | e_table_table_row
| End a table row. More...
def | s_text_a
| Anchors start. More...
def | e_text_a
| End an anchor or bookmark reference. More...
def | s_text_bookmark
| Bookmark definition. More...
def | s_text_bookmark_ref
| Bookmark reference. More...
def | s_text_h
| Headings start. More...
def | e_text_h
| Headings end Side-effect: If there is no title in the metadata, then it is taken from the first heading of any level. More...
def | s_text_line_break
| Force a line break ( ) More...
def | s_text_list
| Start a list (. More...
def | e_text_list
| End a list. More...
def | s_text_list_item
| Start list item. More...
def | e_text_list_item
| End list item. More...
def | s_text_list_level_style_bullet
| CSS doesn't have the ability to set the glyph to a particular character, so we just go through the available glyphs. More...
def | e_text_list_level_style_bullet
def | s_text_list_level_style_number
def | e_text_list_level_style_number
def | s_text_note
def | e_text_note
def | collectnote
def | s_text_note_body
def | e_text_note_body
def | e_text_note_citation
def | s_text_p
| Paragraph. More...
def | e_text_p
| End Paragraph. More...
def | s_text_s
| Generate a number of spaces. More...
def | s_text_span
| The <text:span> element matches the element in HTML. More...
def | e_text_span
| End the <text:span> More...
def | s_text_tab
| Move to the next tabstop. More...
def | s_text_x_source
| Various indexes and tables of contents. More...
def | e_text_x_source
| Various indexes and tables of contents. More...
def | load
| Loads a document into the parser and parses it. More...
def | odf2xhtml
| Load a file and return the XHTML. More...
def | xhtml
| Returns the xhtml. More...
def | css
| Returns the CSS content. More...
def | save
| Save the HTML under the filename. More...

## Public Attributes
| lines
| generate_css
| elements
Public Attributes inherited from odf.odf2xhtml.ODF2XHTML
| generate_css
| elements
| use_internal_css
| stylefilename
| notedict
| currentnote
| notebody
| lines
| xmlfile
| title
| language
| creator
| data
| tagstack
| htmlstack
| pstack
| processelem
| processcont
| listtypes
| headinglevels
| cs
| anchors
| stylestack
| styledict
| currentstyle
| metatags
| autoprefix
| prevstyle
| document

## Additional Inherited Members
Static Public Attributes inherited from odf.odf2xhtml.ODF2XHTML
string | default_styles
dictionary | familymap

## Detailed Description

The ODF2XHTML parses an ODF file and produces XHTML.

Definition at line 1607 of file odf2xhtml.py.

## Constructor & Destructor Documentation

def odf.odf2xhtml.ODF2XHTMLembedded.__init__ | ( |  | self,
|  |  | lines,
|  |  | generate_css = `True`,
|  |  | embedable = `False`
| ) |  |

Definition at line 1609 of file odf2xhtml.py.

Here is the call graph for this function:

## Member Data Documentation

odf.odf2xhtml.ODF2XHTMLembedded.elements

Definition at line 1615 of file odf2xhtml.py.

odf.odf2xhtml.ODF2XHTMLembedded.generate_css

Definition at line 1614 of file odf2xhtml.py.

odf.odf2xhtml.ODF2XHTMLembedded.lines

Definition at line 1611 of file odf2xhtml.py.

The documentation for this class was generated from the following file:

- odf/odf2xhtml.py